package cn.nhyw.gysgl.service;


import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.nhyw.gysgl.dao.NhywgysxxDao;

@Service("nhywgysxxService")
public class NhywgysxxService extends BaseService {
	
	private static Log log = LogFactory.getLog(NhywgysxxService.class);
	
	@Autowired
	private NhywgysxxDao nhywgysxxDao;
	
	/**
	 * 保存记录
	 */
	public void insert_Nhywgysxx(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		nhywgysxxDao.insert_Nhywgysxx(map);
	}
	

	
	/**
	 * 修改记录
	 */
	public Integer update_Nhywgysxx(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return nhywgysxxDao.update_Nhywgysxx(map);
	}
	
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywgysxx(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return nhywgysxxDao.delete_Nhywgysxx(map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Nhywgysxx(Map map) throws SQLException{
		return nhywgysxxDao.batch_delete_Nhywgysxx(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywgysxx(Map map) throws SQLException{
		return nhywgysxxDao.count_Nhywgysxx(map);
	}
	
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Nhywgysxx(Map map) throws SQLException{
		return nhywgysxxDao.query_Nhywgysxx(map);
	}
	
	
	/**
	 * 查询一条
	 */
	public Map get_Nhywgysxx(Map map) throws SQLException{
		return nhywgysxxDao.get_Nhywgysxx(map);
	}
	
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportNhywgysxx(Map map) throws SQLException{
		return this.listNhywgysxxByPage(map);
	}
	*/
	
	/**
	 * Nhywgysxx 分页
	 */
	public Map listNhywgysxxByPage(Map map) throws SQLException {
		List<Map> list = nhywgysxxDao.query_Nhywgysxx(map);
		Integer totalCount = nhywgysxxDao.count_Nhywgysxx(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	
	/**
	 * 查询列表记录SELECT 不分页
	 */
	public List<Map> query_NhywgysxxList(Map map) throws SQLException{
		return nhywgysxxDao.query_NhywgysxxList(map);
	}
	
	
	// 查询供应商   电子监控集合
	public List<Map> query_dzsbjh(Map map) throws SQLException{
		return nhywgysxxDao.query_dzsbjh(map);
	}
	
	// 查询供应商   电子监控集合总数
	public Integer count_dzsbjh(Map map) throws SQLException{
		return nhywgysxxDao.count_dzsbjh(map);
	}
	
	//供应商电子信息集合   全部集合信息 或 已选择的集合信息
	public List<Map> query_All_Chosed_Set(Map map) throws SQLException{
		return nhywgysxxDao.query_All_Chosed_Set(map);
	}
	public Integer count_All_Chosed_Set(Map map) throws SQLException{
		return nhywgysxxDao.count_All_Chosed_Set(map);
	}
	
	//供应商关联5类交通设备信息
	public List<Map> query_Jtsb(Map map) throws SQLException{
		return nhywgysxxDao.query_Jtsb(map);
	}
	public Integer count_Jtsb(Map map) throws SQLException{
		return nhywgysxxDao.count_Jtsb(map);
	}
}
